
class A
{
   /**
    * adf
    *
    */
   public void foo(int bar, char ch)
   {
      //
      //
      //
      m4_foo;
      Fooo f = new Fooo();
      if (a == true)
      {
         a = null;
      }
      if (Fdfd)
      {
         Foo<A> asdf = new Foo<X>();
         asdf;
      }
      else
      {
         foo("abc");
      }
      for (sdf)
      {

      }
   }
   /*
    *
    *
    */
   static void statme()
   {

   }

   static Vector<Foo,Bar> foo(Vector<Foo,Bar> vec)
   {


   }
}

class B
{
   void statme()
   {


   }
}


